#define	software_type					ALL
#define	software_ponto					PONTO

#define forced_nordic_band	868

//#define RadioSlotTime		13107
//#define SendRadioSlotTime	13107
//#define SendRadioSlotTimeRetr	13107

#define RadioSlotTime		13107
#define SendRadioSlotTime	9175
#define SendRadioSlotTimeRetr	11010


//					30*ONESECOND/1000=7864
//					32*ONESECOND/1000=8389
//					35*ONESECOND/1000=9175
//					40*ONESECOND/1000=10486
//					42*ONESECOND/1000=11010
//					45*ONESECOND/1000=11796
//					50*ONESECOND/1000=13107
//					55*ONESECOND/1000=14418


#define	RadioFunctionsVersion 1

#define	compile_debug_lines				0
#define	debug							0
#define	debug_correct_16c71_reset			0
#define	debug_rfid						0
#define	hardware_is_ementa_define			0
#define	hardware_is_pricechecker_define			0
#define	only_one_active_connection 			1	
#define 	debugnewfunctions 					0


#define	compile_debug_number				0
#define	compile_get_message_debug_info		0
#define 	compile_debug_wait_com2_block 		0 
#define	calculator_floats					0

#define	compile_leds						0
#define	compile_crash_game				0
#define	compile_malloc					1
#define	debug_malloc					0
#define	compile_scroll					1
#define	compile_sprites					1
#define	compile_com2_block				1
#define	compile_radio_message				1
#define	compile_com_message				1
#define	compile_table_lookup				1
#define	compile_os_menu					1
#define	compile_input_functions 				1
#define	compile_timing_functions 				1
#define	compile_battery_test				1
#define	gsm_alpha						0
#define	compile_debug_trace				0
#define 	multi_display_modes 				1
#define	easy_conf						1
#define 	debug_beeps						0
		
#define	radio_listening_sensitivity				1
#define	show_server_status_line					1

#define end_program_after_debug				return(0);

#define	compile_show_stack				0

#define	WRITE_SPRITE					(128+64)*256*256
#define	AND_SPRITE					(128+32)*256*256
#define	OR_SPRITE						(128+16)*256*256
#define	AND_OR_SPRITE					(128+8)*256*256

//#define	battery_voltage_3_bar_limit			205
//#define	battery_voltage_2_bar_limit			210
//#define	battery_voltage_1_bar_limit			216
//#define	battery_voltage_0_bar_limit			224

#define	battery_voltage_3_bar_limit			210
#define	battery_voltage_2_bar_limit			213
#define	battery_voltage_1_bar_limit			216
#define	battery_voltage_0_bar_limit			224

#define	battery_voltage_charger_limit			205

#define	ac_operation_voltage_limit       			4700
#define	unlimited_operation_voltage_limit_start 		6000

#define	force_no_16c71_reset				0

#define	init_malloc						direction_func_malloc2=1;
#define	clock_frequency					20000000
#define	system_type 						vertical
#define	system_type_number				0
#define	laser_type 						none
#define	tag_type 						none
#define	bio_type 						none
#define	system_version					700
#define	connection_type					none
#define	pc_keyboard						0
#define	wireless_network					1
#define	reseller						x64
#define	number_of_os_languages				1


#define	language						portugues

#define	radio_type						bim

#define 	confirmation_timeout				100000
#define	fast_confirmation_timeout				20000

#define	laser_on_time_value				1000
#define	light_off_countdown_seconds_value		30
#define	power_off_countdown_seconds_value		180
#define	power_off_countdown_seconds_empty_bat	0
#define	time_to_reset_value					0
#define	menu_timeout					20
#define	input_timeout						0

#define	beep_period					84

#define	enter_os_menu_beep				beep(70,80);
#define	exit_os_menu_beep
#define	power_on_beep					beep(200,100);
#define	power_off_beep					beep(100,200);

#define	key_repeat_timer_up_value		-1
#define	key_repeat_timer_down_value 		60
#define	key_repeat_timer_down2_value		3

#define	reset_message					0

#define	number_of_devices				32

#define	number_of_form_lines			200
#define	number_of_os_menu_lines			36

#define	EXIT_READ						190
#define	END							245
#define	UP							250
#define	DOWN						251
#define	LEFT							252
#define	RIGHT							253
#define 	TAB							254
#define 	PGUP							248
#define	PGDOWN						249
#define	POWER_UP						247
#define	SHIFT_UP						248
#define	SHIFT_DOWN 					249
#define	ESCKEY						27
#define	RADIO_KEY						346
#define	SERIE_KEY						210
#define	DELKEY						8
#define	ENTER						13
#define	SHIFT_LEFT						220
#define	SHIFT_RIGHT 					221
#define	ESCAPEKEY					305

#define	LAST_KEY						9999999
#define	TIMER_KEY						10000000

#define	SEEK_SET						0
#define	SEEK_CUR						1
#define	SEEK_END						2

// -------------------------------------------------------------------------
// NAO ALTERAR ORDEM ( our90.c get depende da ordem dos campos )

struct FORM_FIELDS
{
	char	underligned;
	char	cursorlen;
	int	cursor;
	int	cursor2;
	int	function2;
	int	function3;
	int	function;
	int	a;
	int	b;
	int	c;
	int  	link;
	char  	*scroll_string;
};


struct memory_block_struct
{
	char	address[0];
	int	owner;
	int	advance;
	int	size;
	char	data[0];
};

// --------------------- Variables on the intermediate code ----------------

extern char end_initialized_program_blocks[1];
extern char end_all_program_blocks[1];

extern int pointers_to_programs[1];
extern int program_checksum;
extern int keytable;
extern int lcd_contrast;
extern public char terminal_id[1];
extern char terminal_id_in_eeprom[1];
//extern char general_config_in_eeprom[1];
extern char auxstring0[1];
extern char auxstring1[1];
extern char auxstring2[1];
extern char function_keys_screenline_base20[1];
extern char function_keys_screenline_template20[1];
extern char function_keys_screenline_base26[1];
extern char function_keys_screenline_template26[1];
extern char blank_screen_line[1];
extern char buffer_func_laser_flush[1];
extern char terminal_boot_status[1];
extern public char eeprom_start[1];
extern char program_load_address[1];
extern char absolute_address_0[1];

// ----------------------------------------------------------------------------------

