// --------------------- Variables and Defines -----------------------------

#define	RadioFunctions			1

#define	MaxSizeOfMessageBlock		90

#define	reset_message			reset_radio_message
#define	p_reset_message			p_reset_radio_message
#define	send_msg_without_confirmation	send_radio_msg_without_confirmat
#define	send_message			send_radio_message
#define	get_message			get_radio_message
#define	get_message_confirmation		get_radio_confirmation

#define CPU_SIZE_OF_MESSAGE_BLOCK	CPU_RADIO_BUFFER_SIZE						
#define SIZE_OF_MESSAGE_ANSWER	4
					//	(52-4)-8-2-2
#define	wait_message_block		wait_radio_block
#define	read_message_block		read_radio_block

#define 	write_message_full_block		write_radio_full_block

#define	wait_channel_free		wait_radio_free();
#define	wmb_sufix			;
#define	wmb_radio_sufix			;

#define	write_message_block_cc		write_radio_block_cc
#define	write_message_block		write_radio_block
#define	write_message_checksum		write_radio_checksum();

#IF system_type ponto ;
#define	radio_channel_receive
#define	radio_channel_send
#define	radio_channel_off
#define	message_channel_delay_after_send
#ENDIF ;

#IF system_type rio ;
#define	radio_channel_receive		write_cpu_register(CPU_COM_RECEIVE_NOT_READY,59136+8);
#define	message_channel_receive		write_cpu_register(CPU_COM_RECEIVE_NOT_READY,59136+8);

#define	radio_channel_send			write_cpu_register(CPU_COM_RECEIVE_NOT_READY,59136+16);
#define	message_channel_send		write_cpu_register(CPU_COM_RECEIVE_NOT_READY,59136+16);

#define	radio_channel_off			write_cpu_register(CPU_COM_RECEIVE_NOT_READY,59136+16+8);
#define	message_channel_off		write_cpu_register(CPU_COM_RECEIVE_NOT_READY,59136+16+8);

#define	write_message_header		write_radio_block(radio_header,32+512);
#define	write_radio_header			write_radio_block(radio_header,32+512);
#ENDIF ;

#IF system_type vertical horizontal ;

#define	radio_channel_receive		write_cpu_register(CPU_LHH_VALUE,59136+16); write_cpu_register(CPU_RCSTA,32512+128);
#define	message_channel_receive		write_cpu_register(CPU_LHH_VALUE,59136+16); write_cpu_register(CPU_RCSTA,32512+128);

#define	radio_channel_send			write_cpu_register(CPU_LHH_VALUE,59136+8); write_cpu_register(CPU_RCSTA,32512+128);
#define	message_channel_send		write_cpu_register(CPU_LHH_VALUE,59136+8); write_cpu_register(CPU_RCSTA,32512+128);

#define	radio_channel_off			write_cpu_register(CPU_LHH_VALUE,59136+24); write_cpu_register(CPU_RCSTA,256*127);
#define	message_channel_off		write_cpu_register(CPU_LHH_VALUE,59136+24); write_cpu_register(CPU_RCSTA,256*127);

/*
#define	radio_channel_receive		set_lcd_light_power(-1);write_cpu_register(CPU_LHH_VALUE,59136+16); write_cpu_register(CPU_RCSTA,32512+128);
#define	message_channel_receive		set_lcd_light_power(-1);write_cpu_register(CPU_LHH_VALUE,59136+16); write_cpu_register(CPU_RCSTA,32512+128);

#define	radio_channel_send			set_lcd_light_power(-1);write_cpu_register(CPU_LHH_VALUE,59136+8); write_cpu_register(CPU_RCSTA,32512+128);
#define	message_channel_send		set_lcd_light_power(-1);write_cpu_register(CPU_LHH_VALUE,59136+8); write_cpu_register(CPU_RCSTA,32512+128);

#define	radio_channel_off			write_cpu_register(CPU_LHH_VALUE,59136+24); write_cpu_register(CPU_RCSTA,256*127);set_lcd_light_power(lcd_light_power);
#define	message_channel_off		write_cpu_register(CPU_LHH_VALUE,59136+24); write_cpu_register(CPU_RCSTA,256*127);set_lcd_light_power(lcd_light_power);
*/


#IF radio_type bim;
#define	write_message_header		write_radio_block(radio_header,32+512);
#define	write_radio_header			write_radio_block(radio_header,32+512);
#ENDIF;

//#IF radio_type nrf903;
//#define	write_message_header		write_radio_block(radio_header,7+512);
//#define	write_radio_header			write_radio_block(radio_header,7+512);
//#ENDIF;

//#define	message_channel_delay_after_send	delay(2500000/value_func_set_radio_khz);
//#define	radio_channel_delay_after_send		delay(2500000/value_func_set_radio_khz);

#define	message_channel_delay_after_send	radio_delay_after_send();
#define	radio_channel_delay_after_send		radio_delay_after_send();

#ENDIF ;

#define PROPORTIONAL_FONT 252
#define FIXED_FONT 251
#define REVERSE_VIDEO 254
#define NORMAL_VIDEO 253

#define beep_if_serial

#IF system_type rio horizontal ;
#define LCDWIDTH 24
#define LCDLINES 4
#ENDIF ;

#IF system_type ponto vertical ;
#define LCDLFWIDTH 17
#define LCDWIDTH 20
#define LCDLINES 8
#ENDIF ;

#IFGREATEROREQUAL system_version 700 ;
#define	eeprom_size	98304
#ELSE ;
#define	eeprom_size	65536
#ENDIF ;

// -------------------------------------------------------------------------


